#include <stdio.h>
#include "array.h"


int main(){
Stack *stack = NULL;
initStack(stack);
Array *tmp;
Array *g = initArray(g);
stack = pushStack(stack, g);
int temp;
insertInt(g,0,15);
insertInt(g,1,30);
temp = g->array[0].i;

int print = g->array[1].i;
printf("%d\n\n\n%d",print,print);
insertInt(g,0,g->array[1].i);
insertInt(g,1,temp);
Array *ptr = NULL;
while (stackEmpty(stack)==0){
stack = popStack(stack, &ptr);
freeArray(ptr);
}
freeStack(stack);
return 0;
}
